Skip to main content
POST
Create employee

Authorizations

X-API-Key
string
header
required

Integration API Key (Integrations → New Integration).

Body

application/json
first_name
string
required
last_name
string
required
type
enum<string>
required

Contract type.

Available options:
permanent,
temporary,
project_based
hire_date
string<date>
required

Hire date.

salary
number
required

Monthly salary.

document_type
string
document_number
string

Unique within the business.

tax_number
string

NIT.

email
string
phone
string
address
string
birth_date
string<date>
job_title_id
string<uuid>

Job title (GET /hr/job-titles).

manager_id
string<uuid>

Direct supervisor.

emergency_contact_name
string
emergency_contact_phone
string
bank_name
string
bank_account_type
string
bank_account_number
string
is_active
boolean

false to deactivate.

employment_relationship
enum<string>

Relationship: employment or professional services.

Available options:
labor,
services
pay_type
enum<string>

Payment mode.

Available options:
salaried,
hourly,
fee
hourly_rate
number

Hourly rate. Required if pay_type = hourly.

Required range: x >= 0

Response

Employee created